﻿<Diff SourceHashcode="58d63c20da628302916ebf2b2b124486" DestinationHashcode="9629ea6b2f6064671f0109a289d64284" Version="1.0">
  <ChangeAttribute Id="Position:1" Name="Description" Value="If belpos Table changed, please don't forget to change dsBeluebern.belpos and dsPers.docpositions accordingly&#xA;alu-tec: erstellt und modifiert von/am" />
  <AddElement Order="191" ParentId="Id:1ce4c771-Columns" PreviousId="Id:98950004"><Column Id="e3866bab" IsNullable="True" Name="cf_erstellt_am" Type="System.DateTime" />
<Column Id="12b088ae" IsNullable="True" Name="cf_erstellt_von" Type="System.String" />
<Column Id="641408f1" IsNullable="True" Name="cf_modifziert_am" Type="System.DateTime" />
<Column Id="9989a227" IsNullable="True" Name="cf_modifziert_von" Type="System.String" /></AddElement>
  <ChangeElement Id="Id:1ce4c771/Position:3/Position:1/Position:1">SELECT 
"pers"."preisl" AS 'pers_preisl',
"pers"."rabattschl" AS 'pers_rabattschl',
"pers"."preisl2" AS 'pers_preisl2',
"pers"."preisl3" AS 'pers_preisl3',
"bel"."typ",
"bel"."nr",
"bel"."datum",
"bel"."pers_typ",
"bel"."pers_nr",
"bel"."status",
"bel"."druckstatus",
"bel"."adr1name1",
"bel"."adr1zeile1",
"bel"."adr1plz",
"bel"."adr1ort",
"bel"."adr1land",
"bel"."zk_nr",
"bel"."lk_nr",
"bel"."mwst_kz",
"bel"."waehrg_kz",
"bel"."waehrg_menge",
"bel"."waehrg_kurs",
"bel"."zsummen01",
"bel"."zsummen02",
"bel"."zsummen03",
"bel"."zsummen04",
"bel"."zsummen05",
"bel"."zsummen06",
"bel"."zsummen07",
"bel"."zsummen08",
"bel"."zsummen09",
"bel"."zsummen10",
"bel"."bemgrdlmwst01",
"bel"."bemgrdlmwst02",
"bel"."bemgrdlmwst03",
"bel"."bemgrdlmwst04",
"bel"."bemgrdlmwst05",
"bel"."bemgrdlmwst06",
"bel"."bemgrdlmwst07",
"bel"."bemgrdlmwst08",
"bel"."bemgrdlmwst09",
"bel"."bemgrdlmwst10",
"bel"."mwstdm01",
"bel"."mwstdm02",
"bel"."mwstdm03",
"bel"."mwstdm04",
"bel"."mwstdm05",
"bel"."mwstdm06",
"bel"."mwstdm07",
"bel"."mwstdm08",
"bel"."mwstdm09",
"bel"."mwstdm10",
"bel"."zuabschlagpro",
"bel"."fracht_in_whrg",
"bel"."verp_in_whrg",
"bel"."vers_in_whrg",
"bel"."summenetto",
"bel"."summebrutto",
"bel"."kopfzeile",
"bel"."fusszeile",
"bel"."wv_datum",
"bel"."crm_chance",
"bel"."mitarb_kuerzel",
"bel"."sprache",
"bel"."ablaufdatum",
"bel"."mwst_tab_datum",
"bel"."versart_nr",
"bel"."lager_nr",
"bel"."aus_datum",
"bel"."ihr_zeichen",
"bel"."vertr_kuerzel",
"bel"."dispo_datum",
"bel"."dispo_kw",
"bel"."dispo_jahr",
"bel"."aus2_datum",
"bel"."la_art_nr",
"bel"."la_uebernommen",
"bel"."la_geloescht",
"bel"."gewichtbrutto",
"bel"."gew_einheit",
"bel"."gewichtnetto",
"bel"."aus_nr",
"bel"."aus2_nr",
"bel"."zuab_typ",
"bel"."la_abgewickelt",
"bel"."kunden_ab_nr",
"bel"."kunden_ab_datum",
"bel"."teilliefern_jn",
"bel"."autofakt_jn",
"bel"."zahlbetrag",
"bel"."bank_blz",
"bel"."bank_ktonr",
"bel"."ind_long_01",
"bel"."ind_long_02",
"bel"."ind_long_03",
"bel"."ind_long_04",
"bel"."ind_long_05",
"bel"."sammelfakt_jn",
"bel"."aus_typ",
"bel"."aus2_typ",
"bel"."belegart",
"bel"."lieferprio_kz",
"bel"."lager2_nr",
"bel"."zuabschlagpro2",
"bel"."fvv_preismanset",
"bel"."la_dispo_art",
"bel"."la_auftragsrahmen",
"bel"."int_verr_aufschl",
"bel"."text",
"bel"."vertr_kuerzel2",
"bel"."vertr_kuerzel3",
"bel"."mwst_tab_nr",
"bel"."versandstatus",
"bel"."projekt_id",
"bel"."anz_colli",
"bel"."vorgangs_nr",
"bel"."adr1nr",
"bel"."adm_filiale",
"bel"."valutadatum",
"bel"."kd_wunschtermin",
"bel"."eig_fortschrittzahl",
"bel"."ext_fortschrittzahl",
"bel"."awkz",
"bel"."abladestelle",
"bel"."abschlussnr",
"bel"."laender_kz",
"bel"."stat_status",
"bel"."pers_tel_lfdnr",
"bel"."dfue_status",
"bel"."la_fortschritt_berechnung",
"bel"."qs_rekl_nr",
"bel"."werk_nr",
"bel"."ls_versandstatus",
"bel"."art",
"bel"."abschlag_status",
"bel"."ss_bw",
"bel"."entferng",
"bel"."werke_ilv_beleg",
"bel"."ladeliste_nr",
"bel"."mat_freigabe_bis_ktage",
"bel"."fert_freigabe_bis_ktage",
"bel"."hybrid",
"bel"."wfl_status_id",
"bel"."ext_fortschrittzahl_abw",
"bel"."eig_fortschrittzahl_abw",
"bel"."la_uebernommen_abw",
"bel"."la_geloescht_abw",
"bel"."ustid",
"bel"."la_sachnr",
"bel"."iln_werknr",
"bel"."folgebeleg_typ",
"bel"."log_type",
"bel"."log_pers_typ",
"bel"."log_pers_nr",
"bel"."gueltigkeit",
"bel"."sop",
"bel"."suchwort",
"bel"."tl2tl_doctype",
"bel"."tl2tl_source_transferstat",
"bel"."tl2tl_dest_transferstat",
"bel"."tl2tl_bearbstatus",
"bel"."tl2tl_transfernr",
"bel"."fibu_cobjid",
"bel"."rtf_text",
"bel"."rtf_manchange",
"bel"."projekt_meilenstein_id",
"bel"."stat_endpreis_ew",
"bel"."incoterm_ort",
"bel"."warenwert",
"bel"."da_startdatum",
"bel"."da_vertragszeitraum",
"bel"."da_abrg_turnus",
"bel"."crm_abschlussdatum",
"bel"."crm_vstatus",
"mitarb"."name" AS 'mitarb_name',
"mitarb"."vorname" AS 'mitarb_vorname',
"mitarb"."tel1" AS 'mitarb_tel1',
"mitarb"."tel2" AS 'mitarb_tel2',
"mitarb"."email" AS 'mitarb_email',
"me"."faktor_klassenr" AS 'me_faktor_klassenr',
"fibu_cobj"."typ" AS 'fibu_cobj_typ',
"fibu_cobj"."nr" AS 'fibu_cobj_nr',
"bel"."angebotsversion",
"pers"."name1" AS 'pers_name1',
"pers"."suchwort" AS 'pers_suchwort',
"pers"."waehrgkz" AS 'pers_waehrgkz',
"pers"."persgruppe" AS 'pers_persgruppe',
"bel"."bel_id",
(SELECT art.suchwort from art where art.artnr = bel.la_art_nr) AS cf_la_art_suchwort,
(SELECT mwst.gueltig_ab from mwst where mwst.nr = bel.mwst_tab_nr and bel.nr = :nr and bel.typ = :typ) AS mwst_gueltig_ab,
(SELECT mwst_kz.bez from mwst_kz where mwst_kz.nr = bel.mwst_kz and bel.nr = :nr and bel.typ = :typ) AS mwst_kz_bez,
(select b.erstellt_am from bel b where b.typ = :typ and b.nr = :nr) AS cf_erstellt_am,
(select b.erstellt_von from bel b where b.typ = :typ and b.nr = :nr) AS cf_erstellt_von,
(select b.modifiziert_am from bel b where b.typ = :typ and b.nr = :nr) AS cf_modifziert_am,
(select b.modifiziert_von from bel b where b.typ = :typ and b.nr = :nr) AS cf_modifziert_von
FROM 
"bel"
LEFT OUTER JOIN "pers" ON (( "bel"."pers_typ" = "pers"."typ" ) AND ( "bel"."pers_nr" = "pers"."nr" ))
LEFT OUTER JOIN "mitarb" ON ( "bel"."mitarb_kuerzel" = "mitarb"."kuerzel" )
LEFT OUTER JOIN "me" ON ( "bel"."gew_einheit" = "me"."nr" )
LEFT OUTER JOIN "fibu_cobj" ON ( "bel"."fibu_cobjid" = "fibu_cobj"."id" )
WHERE ( (bel.typ = :typ ) OR
( bel.typ = :typ * (-1) ) ) AND
( bel.nr = :nr )</ChangeElement>
  <AddElement Order="3" ParentId="Id:dcf65ce1-ComputedFields" PreviousId="Id:2a2d2414"><ComputedField Alias="cf_erstellt_am" Caption="cf_erstellt_am" Id="cbf21271">
  <SqlStatement>
    <Sql>select b.erstellt_am from bel b where b.typ = :typ and b.nr = :nr</Sql>
  </SqlStatement>
</ComputedField>
<ComputedField Alias="cf_erstellt_von" Caption="cf_erstellt_von" Id="749ec71d">
  <SqlStatement>
    <Sql>select b.erstellt_von from bel b where b.typ = :typ and b.nr = :nr</Sql>
  </SqlStatement>
</ComputedField>
<ComputedField Alias="cf_modifziert_am" Caption="cf_modifziert_am" Id="361ac488">
  <SqlStatement>
    <Sql>select b.modifiziert_am from bel b where b.typ = :typ and b.nr = :nr</Sql>
  </SqlStatement>
</ComputedField>
<ComputedField Alias="cf_modifziert_von" Caption="cf_modifziert_von" Id="b0026573">
  <SqlStatement>
    <Sql>select b.modifiziert_von from bel b where b.typ = :typ and b.nr = :nr</Sql>
  </SqlStatement>
</ComputedField></AddElement>
  <ChangeAttribute Id="Id:ae723791" Name="CanvasWidth" Value="279" />
  <ChangeAttribute Id="Id:ae723791" Name="CanvasHeight" Value="538" />
  <ChangeAttribute Id="Id:9b0f1871/Position:1" Name="CanvasY" Value="21" />
  <ChangeAttribute Id="Id:9b0f1871/Position:1" Name="CanvasX" Value="354" />
  <ChangeAttribute Id="Id:2b1f4951/Position:1" Name="CanvasY" Value="282" />
  <ChangeAttribute Id="Id:2b1f4951/Position:1" Name="CanvasX" Value="563" />
  <ChangeAttribute Id="Id:1dd10910/Position:1" Name="CanvasY" Value="283" />
  <ChangeAttribute Id="Id:1dd10910/Position:1" Name="CanvasX" Value="385" />
  </Diff>